summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-stringtable-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcat-stringtable-1')
-rwxr-xr-xgettext-tools/tests/msgcat-stringtable-18
1 files changed, 5 insertions, 3 deletions
diff --git a/gettext-tools/tests/msgcat-stringtable-1 b/gettext-tools/tests/msgcat-stringtable-1
index 0037452..f8ef7de 100755
--- a/gettext-tools/tests/msgcat-stringtable-1
+++ b/gettext-tools/tests/msgcat-stringtable-1
@@ -27,14 +27,16 @@ is completely ignored, even if in "quotes", or \escape characters, etc.
"hoe322070.element";
EOF
-tmpfiles="$tmpfiles mcat-s-1.out mcat-s-1.err"
-rm -f mcat-s-1.out
+tmpfiles="$tmpfiles mcat-s-1.tmp mcat-s-1.err mcat-s-1.out"
+rm -f mcat-s-1.tmp
: ${MSGCAT=msgcat}
LC_MESSAGES=C LC_ALL= \
-${MSGCAT} --stringtable-input -o mcat-s-1.out mcat-s-1.in >mcat-s-1.err 2>&1
+${MSGCAT} --stringtable-input -o mcat-s-1.tmp mcat-s-1.in >mcat-s-1.err 2>&1
result=$?
cat mcat-s-1.err | grep -v ': internationalized messages'
test $result = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < mcat-s-1.tmp > mcat-s-1.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles mcat-s-1.ok"
cat << \EOF > mcat-s-1.ok